summaryrefslogtreecommitdiff
path: root/libraries/libwww-perl/libwww-perl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libwww-perl/libwww-perl.SlackBuild')
-rw-r--r--libraries/libwww-perl/libwww-perl.SlackBuild35
1 files changed, 16 insertions, 19 deletions
diff --git a/libraries/libwww-perl/libwww-perl.SlackBuild b/libraries/libwww-perl/libwww-perl.SlackBuild
index 4a390fc7fe..f91ecb577c 100644
--- a/libraries/libwww-perl/libwww-perl.SlackBuild
+++ b/libraries/libwww-perl/libwww-perl.SlackBuild
@@ -23,16 +23,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libwww-perl
-VERSION=${VERSION:-5.834}
+VERSION=${VERSION:-5.836}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -44,7 +42,7 @@ OUTPUT=${OUTPUT:-/tmp}
DOCFILES="AUTHORS Changes README README.SSL"
-set -e # Exit on most errors
+set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -59,28 +57,27 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo "y" | perl Makefile.PL INSTALLDIRS=vendor
+echo "y" | perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make
+make test
make install DESTDIR=$PKG
-#Move man-pages to appropriate place
-mv $PKG/usr/share/man $PKG/usr/
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Remove perlocal.pod, .packlist and .bs from $PKG
-( for i in perllocal.pod .packlist *.bs; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-)
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
+# Remove perllocal.pod and other special files that don't need to be installed,
+# as they will overwrite what's already on the system.
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-# compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION